dlasq5.f(3)

NAME
dlasq5.f -

SYNOPSIS

  Functions/Subroutines
subroutine DLASQ5 (I0, N0, Z, PP, TAU, DMIN, DMIN1, DMIN2, DN, DNM1, DNM2, IEEE)
DLASQ5

Function/Subroutine Documentation

  subroutine DLASQ5 (INTEGERI0, INTEGERN0, DOUBLE PRECISION, dimension( * )Z, INTEGERPP, DOUBLE PRECISIONTAU, DOUBLE PRECISIONDMIN, DOUBLE PRECISIONDMIN1, DOUBLE PRECISIONDMIN2, DOUBLE PRECISIONDN, DOUBLE PRECISIONDNM1, DOUBLE PRECISIONDNM2, LOGICALIEEE)

DLASQ5

Purpose:

     DLASQ5 computes one dqds transform in ping-pong form, one
     version for IEEE machines another for non IEEE machines.

Parameters:
    I0

              I0 is INTEGER
            First index.

    N0

              N0 is INTEGER
            Last index.

    Z

              Z is DOUBLE PRECISION array, dimension ( 4*N )
            Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
            an extra argument.

    PP

              PP is INTEGER
            PP=0 for ping, PP=1 for pong.

    TAU

              TAU is DOUBLE PRECISION
            This is the shift.

    DMIN

              DMIN is DOUBLE PRECISION
            Minimum value of d.

    DMIN1

              DMIN1 is DOUBLE PRECISION
            Minimum value of d, excluding D( N0 ).

    DMIN2

              DMIN2 is DOUBLE PRECISION
            Minimum value of d, excluding D( N0 ) and D( N0-1 ).

    DN

              DN is DOUBLE PRECISION
            d(N0), the last value of d.

    DNM1

              DNM1 is DOUBLE PRECISION
            d(N0-1).

    DNM2

              DNM2 is DOUBLE PRECISION
            d(N0-2).

    IEEE

              IEEE is LOGICAL
            Flag for IEEE or non IEEE arithmetic.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 132 of file dlasq5.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.